{ pkgs, system, ... }:
let
  timezone = "America/Chicago";
  isArm = system == "aarch64-linux";
in
{

  environment.systemPackages =
    with pkgs;
    [
      disko
      nil
      nixos-anywhere
      qemu
      udisks2
      unzip
    ]
    ++ (
      if isArm then
        [ ]
      else
        [
          acpilight
          aha
          aspell
          aspellDicts.en
          aspellDicts.en-computers
          aspellDicts.en-science
          brightnessctl
          ddcui
          ddcutil
          ddccontrol
          ddccontrol-db
          efibootmgr
          memtest86-efi
          memtest86plus
          os-prober
          sbctl
          tpm2-tools
          tpm2-tss
          winetricks
        ]
    );

  # Time config
  time = {
    # Set your time zone.
    timeZone = timezone;
  };

  system.stateVersion = "23.11";
}
